## freoffice 0.2-1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_definitions(-DNO_PIGMENT)

find_package(Qt4 4.5.0 REQUIRED)
SET(QT_USE_QTDBUS 1)
INCLUDE(${QT_USE_FILE})

find_package(KDE4 4.1.0 REQUIRED)
find_package(KOfficeLibs REQUIRED)

include_directories(${CMAKE_BINARY_DIR} ${CMAKE_INSTALL_PREFIX}/include ${KDE4_INCLUDES})

SET(FreOffice_RCCS FreOffice.qrc)
QT4_ADD_RESOURCES(FreOffice_RCC_SRCS ${FreOffice_RCCS})

QT4_WRAP_UI(FreOfficeUiSrc mainwindow.ui zoomdialog.ui aboutdialog.ui)
QT4_WRAP_CPP(FreOfficeMocSrc mainwindow.h zoomdialog.h hildonmenu.h hildonapplication.h splash.h notifydialog.h dbusadaptor.h aboutdialog.h)

add_executable(FreOffice main.cpp mainwindow.cpp zoomdialog.cpp hildonmenu.cpp hildonapplication.cpp splash.cpp notifydialog.cpp dbusadaptor.cpp aboutdialog.cpp
  ${FreOfficeUiSrc} ${FreOfficeMocSrc} ${FreOffice_RCC_SRCS})
target_link_libraries(FreOffice ${QT_LIBRARIES} ${KOFFICECORE_LIBRARIES})

install(TARGETS FreOffice RUNTIME DESTINATION bin)
install(FILES FreOffice.desktop DESTINATION share/applications/hildon)
install(FILES images/178x200/freoffice.png DESTINATION share/icons/hicolor/178x200/apps)
install(FILES images/64x64/freoffice.png DESTINATION share/icons/hicolor/64x64/apps)
install(FILES com.nokia.FreOffice.service DESTINATION share/dbus-1/services)
install(FILES images/48x48/freoffice_document.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/freoffice_presentation.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/freoffice_text_selection.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/26x26/general_copy.png DESTINATION share/icons/hicolor/26x26/hildon)

install(FILES data/ksycoca4 DESTINATION share/kde4/services/)

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/maemo5-i486/usr/bin/cmake

# The command to remove a file.
RM = /targets/maemo5-i486/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/projects/fremantleoffice/src/trunk/f-office

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/projects/fremantleoffice/src/trunk/f-office

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/maemo5-i486/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo5-i486/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/maemo5-i486/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/maemo5-i486/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/maemo5-i486/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/maemo5-i486/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/fremantleoffice/src/trunk/f-office/CMakeFiles /home/lassinie/projects/fremantleoffice/src/trunk/f-office/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/projects/fremantleoffice/src/trunk/f-office/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named FreOffice

# Build rule for target.
FreOffice: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 FreOffice
.PHONY : FreOffice

# fast build rule for target.
FreOffice/fast:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/build
.PHONY : FreOffice/fast

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

# target to build an object file
aboutdialog.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/aboutdialog.o
.PHONY : aboutdialog.o

# target to preprocess a source file
aboutdialog.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/aboutdialog.i
.PHONY : aboutdialog.i

# target to generate assembly for a file
aboutdialog.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/aboutdialog.s
.PHONY : aboutdialog.s

# target to build an object file
dbusadaptor.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/dbusadaptor.o
.PHONY : dbusadaptor.o

# target to preprocess a source file
dbusadaptor.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/dbusadaptor.i
.PHONY : dbusadaptor.i

# target to generate assembly for a file
dbusadaptor.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/dbusadaptor.s
.PHONY : dbusadaptor.s

# target to build an object file
hildonapplication.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/hildonapplication.o
.PHONY : hildonapplication.o

# target to preprocess a source file
hildonapplication.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/hildonapplication.i
.PHONY : hildonapplication.i

# target to generate assembly for a file
hildonapplication.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/hildonapplication.s
.PHONY : hildonapplication.s

# target to build an object file
hildonmenu.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/hildonmenu.o
.PHONY : hildonmenu.o

# target to preprocess a source file
hildonmenu.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/hildonmenu.i
.PHONY : hildonmenu.i

# target to generate assembly for a file
hildonmenu.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/hildonmenu.s
.PHONY : hildonmenu.s

# target to build an object file
main.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/main.o
.PHONY : main.o

# target to preprocess a source file
main.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/main.i
.PHONY : main.i

# target to generate assembly for a file
main.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/main.s
.PHONY : main.s

# target to build an object file
mainwindow.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/mainwindow.o
.PHONY : mainwindow.o

# target to preprocess a source file
mainwindow.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/mainwindow.i
.PHONY : mainwindow.i

# target to generate assembly for a file
mainwindow.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/mainwindow.s
.PHONY : mainwindow.s

# target to build an object file
moc_aboutdialog.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_aboutdialog.o
.PHONY : moc_aboutdialog.o

# target to preprocess a source file
moc_aboutdialog.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_aboutdialog.i
.PHONY : moc_aboutdialog.i

# target to generate assembly for a file
moc_aboutdialog.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_aboutdialog.s
.PHONY : moc_aboutdialog.s

# target to build an object file
moc_dbusadaptor.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_dbusadaptor.o
.PHONY : moc_dbusadaptor.o

# target to preprocess a source file
moc_dbusadaptor.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_dbusadaptor.i
.PHONY : moc_dbusadaptor.i

# target to generate assembly for a file
moc_dbusadaptor.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_dbusadaptor.s
.PHONY : moc_dbusadaptor.s

# target to build an object file
moc_hildonapplication.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_hildonapplication.o
.PHONY : moc_hildonapplication.o

# target to preprocess a source file
moc_hildonapplication.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_hildonapplication.i
.PHONY : moc_hildonapplication.i

# target to generate assembly for a file
moc_hildonapplication.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_hildonapplication.s
.PHONY : moc_hildonapplication.s

# target to build an object file
moc_hildonmenu.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_hildonmenu.o
.PHONY : moc_hildonmenu.o

# target to preprocess a source file
moc_hildonmenu.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_hildonmenu.i
.PHONY : moc_hildonmenu.i

# target to generate assembly for a file
moc_hildonmenu.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_hildonmenu.s
.PHONY : moc_hildonmenu.s

# target to build an object file
moc_mainwindow.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_mainwindow.o
.PHONY : moc_mainwindow.o

# target to preprocess a source file
moc_mainwindow.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_mainwindow.i
.PHONY : moc_mainwindow.i

# target to generate assembly for a file
moc_mainwindow.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_mainwindow.s
.PHONY : moc_mainwindow.s

# target to build an object file
moc_notifydialog.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_notifydialog.o
.PHONY : moc_notifydialog.o

# target to preprocess a source file
moc_notifydialog.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_notifydialog.i
.PHONY : moc_notifydialog.i

# target to generate assembly for a file
moc_notifydialog.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_notifydialog.s
.PHONY : moc_notifydialog.s

# target to build an object file
moc_splash.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_splash.o
.PHONY : moc_splash.o

# target to preprocess a source file
moc_splash.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_splash.i
.PHONY : moc_splash.i

# target to generate assembly for a file
moc_splash.s:

=== debian/changelog ===
freoffice (0.2-1) unstable; urgency=low
  Mani <manikandaprasad.chandrasekar@nokia.com> Tue, 28 Jul 2009
  * Added Panning and Selection support.
  * Added file dialog supported files group


  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP> 

 -- unknown <jos.van.den.oever@kogmbh.com>  Tue, 28 Jul 2009 08:51:15 +0200

=== debian/control ===
Source: freoffice
#Section: user/_Hiro uncomment when it goes into Hiro
Section: user/office
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemaemo-dev, libqt4-dev (>= 4.5.0), maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
Standards-Version: 3.7.2

Package: freoffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= 1.9.9), koffice-kchart, libqt4-phonon, libqt4-qt3support
Description: Office file viewer based on KOffice
 Simple office file viewer for maemo

## freoffice 0.2-2

=== debian/changelog ===
freoffice (0.2-2) unstable; urgency=low

  * Corrected debian packaging

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 20 Jan 2010 09:00:00 +0200

=== debian/control ===
Source: freoffice
Section: user/office
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemaemo-dev, libqt4-dev (>= 4.5.0), maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
Standards-Version: 3.7.2

Package: freoffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= 1.9.9), koffice-kchart, libqt4-phonon (>= 4.5.2)
Description: Office file viewer based on KOffice
 Simple office file viewer for maemo

## freoffice 0.2-3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_definitions(-DNO_PIGMENT)

find_package(Qt4 4.5.0 REQUIRED)
SET(QT_USE_QTDBUS 1)
INCLUDE(${QT_USE_FILE})

include_directories(${CMAKE_BINARY_DIR} ${KOMAIN_INCLUDES} ${KOPAGEAPP_INCLUDES})

SET(FreOffice_RCCS FreOffice.qrc)
QT4_ADD_RESOURCES(FreOffice_RCC_SRCS ${FreOffice_RCCS})

QT4_WRAP_UI(FreOfficeUiSrc MainWindow.ui ZoomDialog.ui AboutDialog.ui)
QT4_WRAP_CPP(FreOfficeMocSrc MainWindow.h ZoomDialog.h HildonMenu.h HildonApplication.h Splash.h NotifyDialog.h DBusAdaptor.h AboutDialog.h)

add_executable(FreOffice Main.cpp MainWindow.cpp ZoomDialog.cpp HildonMenu.cpp HildonApplication.cpp Splash.cpp NotifyDialog.cpp DBusAdaptor.cpp AboutDialog.cpp
  ${FreOfficeUiSrc} ${FreOfficeMocSrc} ${FreOffice_RCC_SRCS})
target_link_libraries(FreOffice ${QT_LIBRARIES} ${X11_X11_LIB} komain kopageapp)

install(TARGETS FreOffice RUNTIME DESTINATION bin)
install(FILES FreOffice.desktop DESTINATION share/applications/hildon)
install(FILES images/178x200/freoffice.png DESTINATION share/icons/hicolor/178x200/apps)
install(FILES images/64x64/freoffice.png DESTINATION share/icons/hicolor/64x64/apps)
install(FILES com.nokia.FreOffice.service DESTINATION share/dbus-1/services)
install(FILES images/48x48/freoffice_document.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/freoffice_presentation.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/freoffice_text_selection.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/26x26/general_copy.png DESTINATION share/icons/hicolor/26x26/hildon)

=== debian/changelog ===
freoffice (0.2-3) unstable; urgency=low

  * Fixed some visual bugs.

 -- Lassi Nieminen <lassniem@gmail.com>  Tue, 28 Jul 2009 08:51:15 +0200

=== debian/control ===
Source: freoffice
#Section: user/_Hiro uncomment when it goes into Hiro
Section: user/office
Priority: extra
Maintainer: Lassi Nieminen <lassniem@gmail.com>
Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemaemo-dev, libqt4-dev (>= 4.5.0), maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
Standards-Version: 3.7.2

Package: freoffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= 1.9.9), koffice-kchart, libqt4-phonon (>= 4.5.0)
Description: Office file viewer based on KOffice
 Simple office file viewer for maemo
XB-Maemo-Display-Name:FreOffice
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAFxQAABcUBST5X5AAAAAd0
 SU1FB9oEAgclKhb/9BYAAAo+SURBVGjetZpdjJxVGcd//+n2m0KkbEJsxIYS
 LmxiUVsEYaaNzs5rC60xfkSRGi8as6vSC0uUpMR44WcCF4DNbowxQiSCIAlU
 Ku/MQOgMEF0arUi9MWhKqBgLNbXYln79vZhzZs68nd3urnKSze7OvOec5zzP
 //k/H+cVsxzlao12s57+vwwYlrTS9mpgraRrbA9LujQ8dgQ4DOy3vQ94GTgI
 HG4368fiWpWRjFYjn5U8mqvw5WptjaQttjcD66Tzl7Ld2yh8X/hs0vZuYHe7
 Wf8jQKWa0Wrm//8DROGDxnNJ77N9iSRsRwF9oTXdOYEKhzoKHJCUtRr5W7Ox
 RGkmgofNFpartZ2S/g1cD1wcNSrJM1WIOgNJth3nXwx8BDhWrtZ22l6Y7j1n
 C0RNlKu1D0v6EbA2KFEFyBiQwQJFmKTPpFYK8wdZK363z/ZX2836ZNHnZmyB
 crVGq5FTGcm2As9G4cOm7kcEsm2dD40zts8MMILpHdQptIJl1gJ7y9XaF9rN
 OpWRbHYHqIxkEe/bbT8ALIha7aqvtyG2jwOvAQ/brtheDiyVtARYAiwFlofv
 fmn7NdvHw0FVWDOecoGkn5ertdsCCmYGoQQ224G7JM23DZLVmxMt8bbtu4AX
 2s36nlky2ibgBkk7AuYjLqNFIkxP27693azfO8i5S4NgU67WvijpHmB+0IYV
 Fo2aD5pcIenOKPx0pi6SQrtZ3yNpJ7BC0iPRAh0kkhLDfOCeyki2NUC6b715
 6T+v/vUVKiPZ9ZIeDYeL60ZtCDgu6evtZv0bK1dddQLg4F9fIf093Xg1eeaK
 K1ch6USrkT9yxZWrjkhaDyxIfSUc6Byw6b1Xrmq2m/VDAyFUrtaQtBB4Dlhb
 gE006SHgllYjb/EOjMpIth54EFgRtEYBTvts3wi8HZmplDqt7dttrw2TU9hI
 0iHbG1qNvFWuZueZciacPd34wM1baTXyvcAG24eC+lM4OaQpt6fMpCTCXgQc
 SyguZYbjkja1GnkrcfIFktbYvhz4J/D7drN+elreHg0OOJHBWP092O8HzgB/
 YiL7e8ESe2wvjqQRHTwcalm7WX+rMpJRiptJygMlpqB3iJzf7Gi+GxsWAD+x
 PSnpCUm/lTRRGckWTRd0EuE3Yf8N6ddITyH9mdF8XcKCe23fkQofHTxE8Ryg
 1ci7EFoTMkmHB/rYptXIdxUC1KeAzyXUbeCLwGenFHys3hF+NP8k8DBSKcnu
 LkH6NmP1xfHxdrN+H/BoQZExFK2ujGRrUhrdAlwSMZeY7G3gKxFvCQdfLWl+
 yhS25wHvHgibsTqM12Csfh3wELCUzl6deGKD/UHsi+IewafGbJ9y71nC35cE
 mSmVq7VltjcX8pYY5u+S9OYAfZ7rD5rqyysKiUMU/pPAXqQFBIbrewZeAt4q
 zH4DuDsRPB2bKyPZsiFgGFiXZpVBrcdtP39BTCf5/nny9zS/EXgAez4QszoT
 Od4+h/RDxmsnEghFSzwXSGRJhHiA9jpguCRpZcB9jAvRXG+0m/XfzIkTU9iM
 5tdi78FeCohe3dC1JtJGxmvPdFkqGSFiv5nUEWnCuLIUnLeXFfbytednmh4M
 HB3NfwZ4hgjPCBtb2EL6J9IWxmvNrpMX8rIwXigke/HP1aWQJnejsnqYHi84
 7sxHhyo3Az9FWkLUXk/wc8AZ7C8xXvsNo3nnwIUR97a9q8/ZehnE2iFJ1xTr
 2IDnA7MSuuOYEfsfBB6jw0wiRtJQO2CfAz7ORPY0o/l5mh/gXwcKRVH8/JqS
 7eEpivGTs20PlHz2LF999t3AJDCEFGETNS+kI0g3M5E9PQg2U4yTxQovjOGS
 pEsHdA/OSDo9KwMghs6efJtzp28NWW5kmZSfjwKfYLyWd518Rsb16ZByFD+/
 dGiaSXNx3V5gmroGH5rtooXOR1+9XQpNp+KEIUlDs0OQOTNv0SJK8+8HTvRh
 vzcuxn6M0XxjYKmZLj9UPHjoaBwpAYeL3YPws3i2uj+nefPYteEfwHXAf7rY
 7wQvhwO9C+kJRvNaiBMzWX3xIFRIOlwC9hfNFX6vnqWd6UJnInsJaQtwtMtQ
 kUJ7peyTjNU3Bcq90Oqrk2Cbyrm/ZHtf0LiTRA7bX5lzodJx0GeArcC/unCK
 rGSXkIawf8ZYfdNUlkgC2dds46QFE2TeVwqN1m5wiJmfpBvSnGSOh9gNfBTp
 bLBALyJ3vHIY+3FG82pItacKZNeHCrEvkEl6uRS6xCTaj3XA8nK1tnHOaUR0
 0olsP5AB/+7z+R7kSkhPMpp/ZFBMKFdrN0lanuRoqSMcjE48GauxpGO2BLix
 MpLNCEYDaTdCY7z2NNKtSMeDJZzkRiVgAdIdjNUXpjV22PdG20uSDmCsyiZt
 Hy61m/VjocWdOkiszHYAy4sRUJ1cptBwBklnBzp35xC7gQ2BYiHN7zvzP4S9
 rOCkl0naEZvBBWXtbjfrx2JFttv20bTLHBxlITAesRidyvYrIVI78Zkztl8b
 aIXINOO1F4HPA291IdTLUP8A/CdaO+w5bnt+oSVvSUeB3d2SMlwuHIhVT1rU
 A5+pjGS3FcR6zPZDiTll+wFJv7pAeg0T2eOhdj6R5PdHgG8xkZ1IGGi7pE+n
 RX3iwAdajfyPAKVuf0XKYtGctuPCxB+Uq7X1scnabtZPSdom6dpQm14naazV
 yE+Xq9mF2Wkiewr7aqSbsDNgNRPZ7yPrlau1DcD3k8ZCX980kEKnGVdo6O6U
 9J3U05Na9HVJ61uN/C+VkQzbxbuyuVMusHbT59i35yEqI9nVwN7QbypiX8Cd
 7Wb9u1FmpUHD9kJJ7VBv9k0OmngduKXdrD/7TrQWy9XaBkm/AC4vKjGw5IvA
 jZJORb8c1F7/sO1nQ5O1lKIpNneBO1qN/L6k0zxXgZEUm2XbA2yWFBCswHqn
 gPWtRj55ofb67yR9WVIpFvrREjHJs31vuVp7RNJlU4T+aa+tCvHjsnK19ghw
 T5pARoUFGUq2t7Ua+WQxJk13wXGbpLuB+WnLJaFN2T4V+jbPt5v1J2ep/ZsC
 HHY4tlv6ldW94AB2RIsXra3pLvcCfd7rTg0b4UTCCJF2jwNvSnrB9q5Qw560
 fSZgd0jSImB1SMyul7Q8wIUCXkhgUwK2txr5fVNdvWoG98JbgR8Di4qd6zRk
 pLcgSVpxNnw3L218pZd806x50va2drP+4HT3xvOmu0kJ9wYvrVx1VRNYA6xI
 TJ12Ovo8Lubu6jRwS0mNES9N0pZ5ulCM7C8Cn203609diJ7nTYfTg+EQrUZ+
 aOWqq+6XdFLSx/rq317eIg163+B8k6sYY5KrJEnaKWlbu1l/dSax5YI39UlO
 fqrVyL9n+yLg+VhtJVlssWU45asGgc3SgxwFnpN0Udjj1EzpeVYve6RYrIxk
 7wc2294SUgoGN6f7sE/hFn/S9hPAE+1m/U9zeWNFsw0+xQ3K1doyScO2VwaW
 WRu6fcO2Lw1CH5HUfd1G0su2D0o63Grkx/6XdOS/c2+nwNgE0uwAAAAASUVO
 RK5CYII=

## freoffice 0.2-4

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/lassinie/f-office

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/lassinie/f-office

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/f-office/CMakeFiles /home/lassinie/f-office/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/lassinie/f-office/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named FreOffice

# Build rule for target.
FreOffice: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 FreOffice
.PHONY : FreOffice

# fast build rule for target.
FreOffice/fast:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/build
.PHONY : FreOffice/fast

AboutDialog.o: AboutDialog.cpp.o
.PHONY : AboutDialog.o

# target to build an object file
AboutDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.o
.PHONY : AboutDialog.cpp.o

AboutDialog.i: AboutDialog.cpp.i
.PHONY : AboutDialog.i

# target to preprocess a source file
AboutDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.i
.PHONY : AboutDialog.cpp.i

AboutDialog.s: AboutDialog.cpp.s
.PHONY : AboutDialog.s

# target to generate assembly for a file
AboutDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.s
.PHONY : AboutDialog.cpp.s

DBusAdaptor.o: DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.o

# target to build an object file
DBusAdaptor.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.cpp.o

DBusAdaptor.i: DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.i

# target to preprocess a source file
DBusAdaptor.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.cpp.i

DBusAdaptor.s: DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.s

# target to generate assembly for a file
DBusAdaptor.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.cpp.s

HildonApplication.o: HildonApplication.cpp.o
.PHONY : HildonApplication.o

# target to build an object file
HildonApplication.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.o
.PHONY : HildonApplication.cpp.o

HildonApplication.i: HildonApplication.cpp.i
.PHONY : HildonApplication.i

# target to preprocess a source file
HildonApplication.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.i
.PHONY : HildonApplication.cpp.i

HildonApplication.s: HildonApplication.cpp.s
.PHONY : HildonApplication.s

# target to generate assembly for a file
HildonApplication.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.s
.PHONY : HildonApplication.cpp.s

HildonMenu.o: HildonMenu.cpp.o
.PHONY : HildonMenu.o

# target to build an object file
HildonMenu.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.o
.PHONY : HildonMenu.cpp.o

HildonMenu.i: HildonMenu.cpp.i
.PHONY : HildonMenu.i

# target to preprocess a source file
HildonMenu.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.i
.PHONY : HildonMenu.cpp.i

HildonMenu.s: HildonMenu.cpp.s
.PHONY : HildonMenu.s

# target to generate assembly for a file
HildonMenu.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.s
.PHONY : HildonMenu.cpp.s

Main.o: Main.cpp.o
.PHONY : Main.o

# target to build an object file
Main.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Main.cpp.o
.PHONY : Main.cpp.o

Main.i: Main.cpp.i
.PHONY : Main.i

# target to preprocess a source file
Main.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Main.cpp.i
.PHONY : Main.cpp.i

Main.s: Main.cpp.s
.PHONY : Main.s

# target to generate assembly for a file
Main.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Main.cpp.s
.PHONY : Main.cpp.s

MainWindow.o: MainWindow.cpp.o
.PHONY : MainWindow.o

# target to build an object file
MainWindow.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/MainWindow.cpp.o
.PHONY : MainWindow.cpp.o

MainWindow.i: MainWindow.cpp.i
.PHONY : MainWindow.i

# target to preprocess a source file
MainWindow.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/MainWindow.cpp.i
.PHONY : MainWindow.cpp.i

MainWindow.s: MainWindow.cpp.s
.PHONY : MainWindow.s

# target to generate assembly for a file
MainWindow.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/MainWindow.cpp.s
.PHONY : MainWindow.cpp.s

NotifyDialog.o: NotifyDialog.cpp.o
.PHONY : NotifyDialog.o

# target to build an object file
NotifyDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/NotifyDialog.cpp.o
.PHONY : NotifyDialog.cpp.o

NotifyDialog.i: NotifyDialog.cpp.i
.PHONY : NotifyDialog.i

# target to preprocess a source file
NotifyDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/NotifyDialog.cpp.i
.PHONY : NotifyDialog.cpp.i

NotifyDialog.s: NotifyDialog.cpp.s
.PHONY : NotifyDialog.s

# target to generate assembly for a file
NotifyDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/NotifyDialog.cpp.s
.PHONY : NotifyDialog.cpp.s

Splash.o: Splash.cpp.o
.PHONY : Splash.o

# target to build an object file
Splash.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Splash.cpp.o
.PHONY : Splash.cpp.o

Splash.i: Splash.cpp.i
.PHONY : Splash.i

# target to preprocess a source file
Splash.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Splash.cpp.i
.PHONY : Splash.cpp.i

Splash.s: Splash.cpp.s
.PHONY : Splash.s

# target to generate assembly for a file
Splash.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Splash.cpp.s
.PHONY : Splash.cpp.s

ZoomDialog.o: ZoomDialog.cpp.o
.PHONY : ZoomDialog.o

# target to build an object file
ZoomDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/ZoomDialog.cpp.o
.PHONY : ZoomDialog.cpp.o

ZoomDialog.i: ZoomDialog.cpp.i
.PHONY : ZoomDialog.i

# target to preprocess a source file
ZoomDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/ZoomDialog.cpp.i
.PHONY : ZoomDialog.cpp.i

ZoomDialog.s: ZoomDialog.cpp.s
.PHONY : ZoomDialog.s

# target to generate assembly for a file
ZoomDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/ZoomDialog.cpp.s
.PHONY : ZoomDialog.cpp.s

moc_AboutDialog.o: moc_AboutDialog.cxx.o
.PHONY : moc_AboutDialog.o

# target to build an object file
moc_AboutDialog.cxx.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_AboutDialog.cxx.o
.PHONY : moc_AboutDialog.cxx.o

moc_AboutDialog.i: moc_AboutDialog.cxx.i
.PHONY : moc_AboutDialog.i

# target to preprocess a source file
moc_AboutDialog.cxx.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_AboutDialog.cxx.i
.PHONY : moc_AboutDialog.cxx.i

moc_AboutDialog.s: moc_AboutDialog.cxx.s
.PHONY : moc_AboutDialog.s

# target to generate assembly for a file
moc_AboutDialog.cxx.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/moc_AboutDialog.cxx.s
.PHONY : moc_AboutDialog.cxx.s

moc_DBusAdaptor.o: moc_DBusAdaptor.cxx.o
.PHONY : moc_DBusAdaptor.o

# target to build an object file
moc_DBusAdaptor.cxx.o:

=== debian/changelog ===
freoffice (0.2-4) unstable; urgency=low

  * Upgraded control to require newer library versions.

 -- Lassi Nieminen <lassniem@gmail.com>  Fri, 2 Apr 2010 08:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: user/office
 Priority: extra
 Maintainer: Lassi Nieminen <lassniem@gmail.com>
-Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemaemo-dev, libqt4-dev (>= 4.5.0), maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
-Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemaemo-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
+Standards-Version: 3.8.0
 
 Package: freoffice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= 1.9.9), koffice-kchart, libqt4-phonon (>= 4.5.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, koffice-kchart (>= 2.1.0-12)
 Description: Office file viewer based on KOffice
  Simple office file viewer for maemo
 XB-Maemo-Display-Name:FreOffice

## freoffice 0.2-5

=== debian/changelog ===
freoffice (0.2-5) unstable; urgency=low

  * Upgraded control to require kofficemeego

 -- Lassi Nieminen <lassniem@gmail.com>  Fri, 2 Apr 2010 08:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: user/office
 Priority: extra
 Maintainer: Lassi Nieminen <lassniem@gmail.com>
-Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemaemo-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
+Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
 Standards-Version: 3.8.0
 
 Package: freoffice

## freoffice 0.2-7

=== debian/changelog ===
freoffice (0.2-7) unstable; urgency=low

  * Enabled plugin structure

 -- Lassi Nieminen <lassniem@gmail.com>  Wed, 12 May 2010 08:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -76,3 +76,10 @@
  WRu6fcO2Lw1CH5HUfd1G0su2D0o63Grkx/6XdOS/c2+nwNgE0uwAAAAASUVO
  RK5CYII=
 
+Package: freoffice-dev
+Section: libdevel
+Architecture: any
+Depends: freoffice (>= ${binary:Version})
+Description: Dev files for freoffice plugin development.
+ Freoffice plugin development files.
+

## freoffice 0.2-8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_definitions(-DNO_PIGMENT)

find_package(Qt4 4.5.0 REQUIRED)
SET(QT_USE_QTDBUS 1)
INCLUDE(${QT_USE_FILE})

include_directories(${CMAKE_BINARY_DIR} ${KOMAIN_INCLUDES} ${KOPAGEAPP_INCLUDES} ${CMAKE_SOURCE_DIR}/kword/part)

SET(FreOffice_RCCS FreOffice.qrc)
QT4_ADD_RESOURCES(FreOffice_RCC_SRCS ${FreOffice_RCCS})

QT4_WRAP_UI(FreOfficeUiSrc MainWindow.ui ZoomDialog.ui AboutDialog.ui)
QT4_WRAP_CPP(FreOfficeMocSrc MainWindow.h ZoomDialog.h HildonMenu.h HildonApplication.h Splash.h NotifyDialog.h DBusAdaptor.h PresentationTool.h AboutDialog.h OfficeInterface.h)

add_executable(FreOffice Main.cpp MainWindow.cpp ZoomDialog.cpp HildonMenu.cpp HildonApplication.cpp Splash.cpp NotifyDialog.cpp PresentationTool.cpp DBusAdaptor.cpp AboutDialog.cpp
  ${FreOfficeUiSrc} ${FreOfficeMocSrc} ${FreOffice_RCC_SRCS})
target_link_libraries(FreOffice ${QT_LIBRARIES} ${X11_X11_LIB} komain kopageapp kwordprivate)

install(TARGETS FreOffice RUNTIME DESTINATION bin)
install(FILES FreOffice.desktop DESTINATION share/applications/hildon)
install(FILES images/178x200/freoffice.png DESTINATION share/icons/hicolor/178x200/apps)
install(FILES images/64x64/freoffice.png DESTINATION share/icons/hicolor/64x64/apps)
install(FILES com.nokia.FreOffice.service DESTINATION share/dbus-1/services)
install(FILES images/48x48/Document.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/Presenter.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/SpreadSheet.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES templates/NewDocument.odt DESTINATION share/freoffice-templates/.templates)
install(FILES templates/NewPresentation.odp DESTINATION share/freoffice-templates/.templates)
install(FILES templates/NewSpread.ods DESTINATION share/freoffice-templates/.templates)
install(FILES OfficeInterface.h DESTINATION include/office)

=== debian/changelog ===
freoffice (0.2-8) unstable; urgency=low

  * Editing enabled for FreOffice.
  * Preview for Slides in Presentation.

 -- Mani Chandrasekar <maninc@gmail.com>  Mon, 12 Jul 2010 12:51:15 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: user/office
 Priority: extra
 Maintainer: Lassi Nieminen <lassniem@gmail.com>
-Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.6.2), debhelper (>= 5), kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
+Build-Depends: cdbs (>= 0.4.42), cmake (>= 2.6.2), debhelper (>= 5), kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
 Standards-Version: 3.8.0
 
 Package: freoffice
@@ -76,10 +76,3 @@
  WRu6fcO2Lw1CH5HUfd1G0su2D0o63Grkx/6XdOS/c2+nwNgE0uwAAAAASUVO
  RK5CYII=
 
-Package: freoffice-dev
-Section: libdevel
-Architecture: any
-Depends: freoffice (>= ${binary:Version})
-Description: Dev files for freoffice plugin development.
- Freoffice plugin development files.
-
